/*
 * InSyTrack - software for tracking program flow.
 *	-- server's main header file.
 *
 * Copyright (C) 2012-2013 Bogdan Drozdowski, bogdandr (at) op.pl
 * License: GNU Lesser General Public License, v3+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 3
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software Foudation:
 *		Free Software Foundation
 *		51 Franklin Street, Fifth Floor
 *		Boston, MA 02110-1301
 *		USA
 */

#ifndef _INSYTRACKD_H
# define _INSYTRACKD_H 1

# include "insytrack_cfg.h"

# ifndef INSYTRACK_PARAMS
#  if defined (__STDC__) || defined (_AIX) \
	|| (defined (__mips) && defined (_SYSTYPE_SVR4)) \
	|| defined (WIN32) || defined (__cplusplus)
#   define INSYTRACK_PARAMS(protos) protos
#   define INSYTRACK_ANSIC
#  else
#   define INSYTRACK_PARAMS(protos) ()
#   undef INSYTRACK_ANSIC
#  endif
# endif

# ifndef GCC_WARN_UNUSED_RESULT
/*
 if the compiler doesn't support this, define this to an empty string,
 so that everything compiles (just in case)
 */
#  define GCC_WARN_UNUSED_RESULT
# endif

# undef INSYTRACK_ATTR
# ifdef __GNUC__
#  define INSYTRACK_ATTR(x)	__attribute__(x)
# else
#  define INSYTRACK_ATTR(x)
# endif

# ifdef HAVE_SIGNAL_H
#  include <signal.h>
# endif
# ifndef HAVE_SIG_ATOMIC_T
typedef int sig_atomic_t;
# endif

enum insytrack_exit_codes
{
	INSYTRACK_EXIT_OK = 0,
	INSYTRACK_EXIT_BAD_CMDLINE = 1,
	INSYTRACK_EXIT_MUTEX = 2,
	INSYTRACK_EXIT_SERVER_ERROR = 101
};


#endif	/* _INSYTRACKD_H */
