/*
 * InSyTrack - software for tracking program flow.
 *	-- processing received messages, header file.
 *
 * Copyright (C) 2012-2013 Bogdan Drozdowski, bogdandr (at) op.pl
 * License: GNU Lesser General Public License, v3+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 3
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software Foudation:
 *		Free Software Foundation
 *		51 Franklin Street, Fifth Floor
 *		Boston, MA 02110-1301
 *		USA
 */

#ifndef _INSYTRACKD_MSG_H
# define _INSYTRACKD_MSG_H 1

# include "insytrackd.h"

# ifdef HAVE_PTHREAD_H
/**
 * The mutex for displaying the received messages (so that no two
 * threads can corrupt each other's output).
 */
extern pthread_mutex_t insy_display_mutex;
# endif

/**
 * Processes a received message.
 * @param insy_msg The message to process.
 * @param insy_data User-provided data.
 * @return INSYTRACK_CALLBACK_ABORT or INSYTRACK_CALLBACK_CONTINUE
 */
extern insytrack_callback_return_t
insytrackd_msg_received INSYTRACK_PARAMS ((insytrack_message_t * insy_msg,
	void * insy_data));

#endif	/* _INSYTRACKD_MSG_H */
