/*
 * InSyTrack - software for tracking program flow, server files.
 *	-- signal-related functions, header file.
 *
 * Copyright (C) 2012-2013 Bogdan Drozdowski, bogdandr (at) op.pl
 * License: GNU Lesser General Public License, v3+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 3
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software Foudation:
 *		Free Software Foundation
 *		51 Franklin Street, Fifth Floor
 *		Boston, MA 02110-1301
 *		USA
 */

#ifndef _INSYTRACKD_SIGNAL_H
# define _INSYTRACKD_SIGNAL_H 1

# include "insytrackd.h"

/**
 * A variable telling if a signal has been caught.
 */
extern volatile sig_atomic_t insytrackd_sig_recvd;

/**
 * Sets the signal handler for all available signals.
 */
extern void
insytrackd_set_sigh INSYTRACK_PARAMS ((void));

#endif	/* _INSYTRACKD_SIGNAL_H */
